CGAL 6.1 - 2D Arrangements

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Arr_conic_traits_2< RatKernel, AlgKernel, NtTraits >::Construct_x_monotone_curve_2 Class Reference

`#include <CGAL/Arr_conic_traits_2.h>`

## Definition

template<typename RatKernel, typename AlgKernel, typename NtTraits>
class CGAL::Arr_conic_traits_2< RatKernel, AlgKernel, NtTraits >::Construct_x_monotone_curve_2

A functor that constructs an \(x\)-monotone conic arc.

## Public Member Functions
X_monotone_curve_2 | operator() (const Curve_2 &cv) const
| converts a given arc to an \(x\)-monotone arc.
X_monotone_curve_2 | operator() (const Point_2 &source, const Point_2 &target) const
| constructs an \(x\)-monotone curve connecting the two given endpoints.
X_monotone_curve_2 | operator() (const Algebraic &a, const Algebraic &b, const Algebraic &c, const Point_2 &source, const Point_2 &target) const
| constructs a special segment of a given line connecting to given endpoints.

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename RatKernel , typename AlgKernel , typename NtTraits >

X_monotone_curve_2 CGAL::Arr_conic_traits_2< RatKernel, AlgKernel, NtTraits >::Construct_x_monotone_curve_2::operator() | ( | const Algebraic & | a,
|  | const Algebraic & | b,
|  | const Algebraic & | c,
|  | const Point_2 & | source,
|  | const Point_2 & | target
| ) |  | const

constructs a special segment of a given line connecting to given endpoints.

Parameters

  a,b,c | The coefficients of the supporting line ( \(ax + by + c = 0\)).
  source | The source point.
  target | The target point.

Precondition
  `source` and `target` must not be the same.

Returns
  A segment connecting `source` and `target`.

## ◆ operator()() [2/3]

template<typename RatKernel , typename AlgKernel , typename NtTraits >

X_monotone_curve_2 CGAL::Arr_conic_traits_2< RatKernel, AlgKernel, NtTraits >::Construct_x_monotone_curve_2::operator() | ( | const Curve_2 & | cv | ) | const

converts a given arc to an \(x\)-monotone arc.

Parameters

  cv | The input arc.

Precondition
  `cv` is \(x\)-monotone.

## ◆ operator()() [3/3]

template<typename RatKernel , typename AlgKernel , typename NtTraits >

X_monotone_curve_2 CGAL::Arr_conic_traits_2< RatKernel, AlgKernel, NtTraits >::Construct_x_monotone_curve_2::operator() | ( | const Point_2 & | source,
|  | const Point_2 & | target
| ) |  | const

constructs an \(x\)-monotone curve connecting the two given endpoints.

Parameters

  source | The first point.
  target | The second point.

Precondition
  `source` and `target` must not be the same.

Returns
  A segment connecting `source` and `target`.